Bug 145954 - Unable to access Math menus using Tabbed interface on Kf5
Summary: Unable to access Math menus using Tabbed interface on Kf5
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.2.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0 target:7.3.3
Keywords:
Depends on:
Blocks: KDE Notebookbar-Tabbed
  Show dependency treegraph
 
Reported: 2021-11-29 20:11 UTC by Rafael Lima
Modified: 2022-05-28 12:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sample document (12.31 KB, application/vnd.oasis.opendocument.text)
2021-12-06 07:36 UTC, Michael Weghorn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rafael Lima 2021-11-29 20:11:03 UTC
I use the Tabbed interface on KDE (Kf5) with the standard menu hidden, which is done by going to the View tab, then the "View" dropdown list and then disable the "Menubar" option.

When I enter a formula object into a Writer/Impress/Calc document (using Math) and double-click it to edit the formula using LO Math, I am unable to access LO Math menus (f.i. the Format menu).

I should be able to show the standard menu by clicking the "Menubar" button at the top left corner of the Tabbed interface while on LO Math editor. However, on KDE when I click it, nothing happens. To overcome this issue I have to exit the formula editor, go back to the original document and enable the Menubar before double-clicking the formula again (now with the menu being shown).

On Windows this problem does not occur because every time I double-click a formula object the LO Math editor opens with the menubar enabled, regardless of its previous state in the original document (hidden or visible). And when I exit the formula editor, the menubar returns to its previous state.

I believe the Windows behavior was the one also intended for KDE, but for some reason it does not work.
Comment 1 Michael Weghorn 2021-12-06 07:36:33 UTC
Created attachment 176724 [details]
Sample document
Comment 2 Michael Weghorn 2021-12-06 07:41:34 UTC
Reproduced with the attached sample doc:

1) start Writer
2) switch to the "Tabbed" interface via "View" -> "User Interface", select "Tabbed", press "Apply to All", then "Close"
3) open attachment 176724 [details]
4) double-click on the formula
5) press the "Menubar" button at the top left of the tabbed interface

Note: The "Menubar" button was inactive (grayed out) most of the time in step 5 in my case, but not always.

When using the gtk3 VCL plugin instead, the menu bar shows up automatically once the formula is double-clicked, as is described for Windows in the description.

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 2934472ab888ebfe64a153984af2902fac63a7a0
CPU threads: 12; OS: Linux 5.15; UI render: default; VCL: kf5 (cairo+xcb)
Locale: en-GB (en_GB.UTF-8); UI: en-US
Calc: threaded
Comment 3 Commit Notification 2022-04-06 09:28:05 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9c4ef8ce3183e27ca174475cf4a8d15cc0368f60

tdf#145954 Qt unshare QMenubar usage

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2022-04-06 13:17:12 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/45d7a65f3d3dadcd71807a290fc11ff546aa5ba7

tdf#145954 Qt unshare QMenubar usage

It will be available in 7.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.